<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration {
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('pc_issues', function (Blueprint $table) {
            $table->id();
            $table->string('issue_no')->nullable()->comment('期号');
            $table->dateTime('start_time')->nullable()->comment('开始时间');
            $table->dateTime('end_time')->nullable()->comment('截止时间');
            $table->string('winning_numbers')->nullable()->comment('中奖号码 按顺序 1,8,6');
            $table->tinyInteger('status')->nullable()->default(1)->comment('状态：0-待发布,1-投注中,2-封盘,3-开奖');
            $table->string('combo', 20)->nullable();
            $table->string('extreme', 20)->nullable();
            $table->string('image')->nullable();

            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('pc_issues');
    }
};
